cURL
curl --request POST \
--url https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"beneficiaryIds": [
"<string>"
],
"partnerAttestation": {
"id": "<string>",
"provider": "<string>",
"attestedAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings"
payload = {
"beneficiaryIds": ["<string>"],
"partnerAttestation": {
"id": "<string>",
"provider": "<string>",
"attestedAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
beneficiaryIds: ['<string>'],
partnerAttestation: {id: '<string>', provider: '<string>', attestedAt: '2023-11-07T05:31:56Z'}
})
};
fetch('https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'beneficiaryIds' => [
'<string>'
],
'partnerAttestation' => [
'id' => '<string>',
'provider' => '<string>',
'attestedAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings"
payload := strings.NewReader("{\n \"beneficiaryIds\": [\n \"<string>\"\n ],\n \"partnerAttestation\": {\n \"id\": \"<string>\",\n \"provider\": \"<string>\",\n \"attestedAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"beneficiaryIds\": [\n \"<string>\"\n ],\n \"partnerAttestation\": {\n \"id\": \"<string>\",\n \"provider\": \"<string>\",\n \"attestedAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"beneficiaryIds\": [\n \"<string>\"\n ],\n \"partnerAttestation\": {\n \"id\": \"<string>\",\n \"provider\": \"<string>\",\n \"attestedAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "customerOnboarding",
"customerId": "<string>",
"provider": "coinme",
"status": "pending",
"failureCode": "rejected",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Business onboarding
Post customers onboardings
POST
/
customers
/
{customerId}
/
onboardings
cURL
curl --request POST \
--url https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"beneficiaryIds": [
"<string>"
],
"partnerAttestation": {
"id": "<string>",
"provider": "<string>",
"attestedAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings"
payload = {
"beneficiaryIds": ["<string>"],
"partnerAttestation": {
"id": "<string>",
"provider": "<string>",
"attestedAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
beneficiaryIds: ['<string>'],
partnerAttestation: {id: '<string>', provider: '<string>', attestedAt: '2023-11-07T05:31:56Z'}
})
};
fetch('https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'beneficiaryIds' => [
'<string>'
],
'partnerAttestation' => [
'id' => '<string>',
'provider' => '<string>',
'attestedAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings"
payload := strings.NewReader("{\n \"beneficiaryIds\": [\n \"<string>\"\n ],\n \"partnerAttestation\": {\n \"id\": \"<string>\",\n \"provider\": \"<string>\",\n \"attestedAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"beneficiaryIds\": [\n \"<string>\"\n ],\n \"partnerAttestation\": {\n \"id\": \"<string>\",\n \"provider\": \"<string>\",\n \"attestedAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox-api.polygon.technology/v0.13/customers/{customerId}/onboardings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"beneficiaryIds\": [\n \"<string>\"\n ],\n \"partnerAttestation\": {\n \"id\": \"<string>\",\n \"provider\": \"<string>\",\n \"attestedAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "customerOnboarding",
"customerId": "<string>",
"provider": "coinme",
"status": "pending",
"failureCode": "rejected",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}{
"error": "Unauthorized",
"code": 1000,
"msg": "unauthorized access",
"status": 401,
"cause": "signature"
}Authorizations
Token from POST /auth/token
Headers
Client-supplied request key. Required on all non-auth POST requests.
Maximum string length:
256Path Parameters
Body
application/json
Required array length:
1 - 5 elementsResponse
Success
Available options:
customerOnboarding Available options:
coinme Available options:
pending, active, rejected Available options:
rejected, processingFailed Was this page helpful?